package net.minecraft.world.level.newbiome.layer.traits;

import net.minecraft.world.level.newbiome.area.Area;
import net.minecraft.world.level.newbiome.area.AreaFactory;
import net.minecraft.world.level.newbiome.context.BigContext;

public interface AreaTransformer1 extends DimensionTransformer {
    default <R extends Area> AreaFactory<R> run(final BigContext<R> cox, final AreaFactory<R> cou) {
        final Area cot4;
        final Area cot5;
        return () -> {
            cot4 = cou.make();
            return cox.createResult((integer3, integer4) -> {
                cox.initRandom(integer3, integer4);
                return this.applyPixel(cox, cot5, integer3, integer4);
            }, (R)cot4);
        };
    }
    
    int applyPixel(final BigContext<?> cox, final Area cot, final int integer3, final int integer4);
}
